<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Grafting](./bitburner.grafting.md) &gt; [waitForOngoingGrafting](./bitburner.grafting.waitforongoinggrafting.md)

## Grafting.waitForOngoingGrafting() method

Wait until the ongoing grafting finishes or is canceled.

**Signature:**

```typescript
waitForOngoingGrafting(): Promise<void>;
```
**Returns:**

Promise&lt;void&gt;

A promise that resolves when the current grafting finishes or is canceled. If there is no current work, the promise resolves immediately. If the current work is not a grafting work, the promise rejects immediately.

## Remarks

RAM cost: 1 GB

